commit:     253b63b894a07396432db920b420896af34d1f74
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 15 03:17:06 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jul 15 03:17:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=253b63b8

dev-ruby/posix-spawn: add 0.3.15

Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/posix-spawn/Manifest                  |  1 +
 dev-ruby/posix-spawn/posix-spawn-0.3.15.ebuild | 32 ++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-ruby/posix-spawn/Manifest b/dev-ruby/posix-spawn/Manifest
index 694e58330f4..8c3857d8506 100644
--- a/dev-ruby/posix-spawn/Manifest
+++ b/dev-ruby/posix-spawn/Manifest
@@ -1,2 +1,3 @@
 DIST posix-spawn-0.3.13.gem 28160 BLAKE2B 
68b1c241310c7b35bf8bea055e63a60320ae3fc877f9bc9f4e2dc0d30c1484eb5081be8c7d60309ed04900c410d52624dae6e37a0f134993f334526f2d9de98d
 SHA512 
a9cd878571440cc0aaee541cbb97b6f4dcb03e48a8ef8588693f4c68990eb530e3b1685d615546763c9bba5d3109134442285023938eb2f116e9749f0da12bb9
 DIST posix-spawn-0.3.14.gem 29696 BLAKE2B 
6c3cf234b8754b2757e0360f2b2bfd008628891ecec813dc3644f9a378317f3645908539588a3fbfae5a6fc4a0b9c5beb6fb925fdd9f6fb3cf8cdddbf6db448e
 SHA512 
85d34d8301e1d0923831890d4ac3191e81cc4c716671bc3b71d44be92e9b0c278bd4ce17b9387fc10359266bbdee1e1aad5cb4bbf1c08ab385b023ba2fec74d7
+DIST posix-spawn-0.3.15.gem 29696 BLAKE2B 
224cca09cbac983cb35dd2c25fe4ea485f6c5ec20fe46dfafcfb4f3586da9eb77ba8328dcdc3fde6f389dc0953ae4b7e5a600af67db421837a6610b0770c8146
 SHA512 
bdfecdbb0d470d23643de1c5b40c4f4b8b7f8970c14a2d3bd7c15e59d388b24857fb740c5c87573cbb6ac83483a29bf87f856a949a1fc014be8ad09e5cb2a9e7

diff --git a/dev-ruby/posix-spawn/posix-spawn-0.3.15.ebuild 
b/dev-ruby/posix-spawn/posix-spawn-0.3.15.ebuild
new file mode 100644
index 00000000000..98035318b1d
--- /dev/null
+++ b/dev-ruby/posix-spawn/posix-spawn-0.3.15.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.md TODO HACKING"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library that implements a subset of the Ruby 1.9 Process::spawn"
+HOMEPAGE="https://github.com/rtomayko/posix-spawn/";
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+each_ruby_configure() {
+       ${RUBY} -Cext extconf.rb || die
+}
+
+each_ruby_compile() {
+       emake V=1 -Cext
+       cp ext/*$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each {|f| require f}' || 
die
+}

Reply via email to